"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Event = /** @class */ (function () {
    function Event(data) {
        this.data = data;
    }
    Object.defineProperty(Event.prototype, "unqualifiedEventCategory", {
        get: function () {
            return this.data["dd:UnqualifiedEventCategory"][0];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Event.prototype, "agingStamp", {
        get: function () {
            return this.data["dd:AgingStamp"][0];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Event.prototype, "destinationURI", {
        get: function () {
            var destination = this.data["ev:Payload"].find(function (v) { return v["dd:ResourceType"]["0"].includes("Destination"); });
            return destination ? destination["dd:ResourceURI"]["0"] : undefined;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Event.prototype, "compEventURI", {
        get: function () {
            var compEvent = this.data["ev:Payload"].find(function (v) { return v["dd:ResourceType"]["0"].includes("CompEvent"); });
            return compEvent ? compEvent["dd:ResourceURI"]["0"] : undefined;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Event.prototype, "isScanEvent", {
        get: function () {
            return this.unqualifiedEventCategory === "ScanEvent";
        },
        enumerable: false,
        configurable: true
    });
    return Event;
}());
exports.default = Event;
//# sourceMappingURL=Event.js.map