import WalkupScanDestination from "./WalkupScanDestination";
import WalkupScanToCompDestination from "./WalkupScanToCompDestination";
import { AxiosRequestHeaders } from "axios";
import EventTable from "./EventTable";
import Job from "./Job";
import ScanStatus from "./ScanStatus";
import WalkupScanDestinations from "./WalkupScanDestinations";
import WalkupScanToCompDestinations from "./WalkupScanToCompDestinations";
import ScanJobSettings from "./ScanJobSettings";
import Destination from "./Destination";
import WalkupScanToCompEvent from "./WalkupScanToCompEvent";
export default class HPApi {
    static setPrinterIP(ip: string): void;
    static setDebug(dbg: boolean): void;
    private static logDebug;
    private static callAxios;
    static getWalkupScanDestinations(): Promise<WalkupScanDestinations>;
    static getWalkupScanToCompDestinations(): Promise<WalkupScanToCompDestinations>;
    static getWalkupScanToCompCaps(): Promise<boolean>;
    static getWalkupScanToCompEvent(compEventURI: string): Promise<WalkupScanToCompEvent>;
    static removeDestination(walkupScanDestination: WalkupScanDestination): Promise<boolean>;
    static registerDestination(destination: Destination, toComp: boolean): Promise<string>;
    static getEvents(etag?: string, timeout?: number): Promise<{
        etag: string;
        eventTable: EventTable;
    }>;
    static placeETagHeader(etag: string, headers: AxiosRequestHeaders): AxiosRequestHeaders;
    static appendTimeout(url: string, timeout?: number | null): string;
    static getDestination(destinationURL: string): Promise<WalkupScanDestination | WalkupScanToCompDestination>;
    static createWalkupScanDestination(content: string): Promise<WalkupScanDestination>;
    static createWalkupScanToCompDestination(content: string): Promise<WalkupScanToCompDestination>;
    static createWalkupScanToCompEvent(content: string): Promise<WalkupScanToCompEvent>;
    static getScanStatus(): Promise<ScanStatus>;
    static delay(t: number): Promise<unknown>;
    static postJob(job: ScanJobSettings): Promise<string>;
    /**
     * @param jobURL
     * @return {Promise<Job|*>}
     */
    static getJob(jobURL: string): Promise<Job>;
    static downloadPage(binaryURL: string, destination: string): Promise<string>;
}
