export interface JobData {
    "j:Job": {
        ScanJob: {
            PreScanPage?: {
                PageState: string[];
                BinaryURL: string[];
                PageNumber: string[];
                BufferInfo: {
                    ImageWidth: string[];
                    ImageHeight: string[];
                    ScanSettings: {
                        XResolution: string[];
                        YResolution: string[];
                    }[];
                }[];
            }[];
            PostScanPage: {
                PageNumber: string[];
            }[];
        }[];
        "j:JobState": string[];
    };
}
export default class Job {
    private readonly data;
    constructor(data: JobData);
    get currentPageNumber(): string | null;
    get totalPageNumber(): number;
    get jobState(): "Completed" | "Processing" | "ReadyToUpload" | "Canceled" | string;
    get pageState(): string;
    get binaryURL(): string | null;
    get imageWidth(): number;
    get imageHeight(): number;
    get xResolution(): number;
    get yResolution(): number;
}
