"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Job = /** @class */ (function () {
    function Job(data) {
        this.data = data;
    }
    Object.defineProperty(Job.prototype, "currentPageNumber", {
        get: function () {
            var preScanPage = this.data["j:Job"].ScanJob[0].PreScanPage;
            if (preScanPage) {
                return preScanPage[0].PageNumber[0];
            }
            else {
                return null;
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "totalPageNumber", {
        get: function () {
            return parseInt(this.data["j:Job"].ScanJob[0].PostScanPage[0].PageNumber[0], 10);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "jobState", {
        get: function () {
            return this.data["j:Job"]["j:JobState"][0];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "pageState", {
        get: function () {
            var preScanPage = this.data["j:Job"].ScanJob[0].PreScanPage;
            if (preScanPage) {
                return preScanPage[0].PageState[0];
            }
            else {
                return "";
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "binaryURL", {
        get: function () {
            var preScanPage = this.data["j:Job"].ScanJob[0].PreScanPage;
            if (preScanPage) {
                return preScanPage[0].BinaryURL[0];
            }
            else {
                return null;
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "imageWidth", {
        get: function () {
            var _a, _b, _c, _d, _e;
            return parseInt((_e = (_d = (_c = (_b = (_a = this.data["j:Job"].ScanJob[0].PreScanPage) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.BufferInfo) === null || _c === void 0 ? void 0 : _c[0]) === null || _d === void 0 ? void 0 : _d.ImageWidth[0]) !== null && _e !== void 0 ? _e : "");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "imageHeight", {
        get: function () {
            var _a, _b, _c, _d, _e;
            return parseInt((_e = (_d = (_c = (_b = (_a = this.data["j:Job"].ScanJob[0].PreScanPage) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.BufferInfo) === null || _c === void 0 ? void 0 : _c[0]) === null || _d === void 0 ? void 0 : _d.ImageHeight[0]) !== null && _e !== void 0 ? _e : "");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "xResolution", {
        get: function () {
            var _a, _b, _c, _d, _e, _f, _g;
            return parseInt((_g = (_f = (_e = (_d = (_c = (_b = (_a = this.data["j:Job"].ScanJob[0].PreScanPage) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.BufferInfo) === null || _c === void 0 ? void 0 : _c[0]) === null || _d === void 0 ? void 0 : _d.ScanSettings) === null || _e === void 0 ? void 0 : _e[0]) === null || _f === void 0 ? void 0 : _f.XResolution[0]) !== null && _g !== void 0 ? _g : "");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Job.prototype, "yResolution", {
        get: function () {
            var _a, _b, _c, _d, _e, _f, _g;
            return parseInt((_g = (_f = (_e = (_d = (_c = (_b = (_a = this.data["j:Job"].ScanJob[0].PreScanPage) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.BufferInfo) === null || _c === void 0 ? void 0 : _c[0]) === null || _d === void 0 ? void 0 : _d.ScanSettings) === null || _e === void 0 ? void 0 : _e[0]) === null || _f === void 0 ? void 0 : _f.YResolution[0]) !== null && _g !== void 0 ? _g : "");
        },
        enumerable: false,
        configurable: true
    });
    return Job;
}());
exports.default = Job;
//# sourceMappingURL=Job.js.map