"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var xml2js = require("xml2js");
var parser = new xml2js.Parser();
var util = require("util");
var ScanJobSettings = /** @class */ (function () {
    function ScanJobSettings(inputSource, contentType) {
        this.inputSource = inputSource;
        this.contentType = contentType;
    }
    ScanJobSettings.prototype.toXML = function () {
        return __awaiter(this, void 0, void 0, function () {
            var rawJob, parsed, builder;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        rawJob = '<?xml version="1.0" encoding="UTF-8"?>\n' +
                            '<ScanSettings xmlns="http://www.hp.com/schemas/imaging/con/cnx/scan/2008/08/19" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.hp.com/schemas/imaging/con/cnx/scan/2008/08/19 Scan Schema - 0.26.xsd">\n' +
                            "\t<XResolution>200</XResolution>\n" +
                            "\t<YResolution>200</YResolution>\n" +
                            "\t<XStart>33</XStart>\n" +
                            "\t<YStart>0</YStart>\n" +
                            "\t<Width>2481</Width>\n" +
                            "\t<Height>3507</Height>\n" +
                            "\t<Format>Jpeg</Format>\n" +
                            "\t<CompressionQFactor>0</CompressionQFactor>\n" +
                            "\t<ColorSpace>Color</ColorSpace>\n" +
                            "\t<BitDepth>8</BitDepth>\n" +
                            "\t<InputSource>Adf</InputSource>\n" +
                            "\t<GrayRendering>NTSC</GrayRendering>\n" +
                            "\t<ToneMap>\n" +
                            "\t\t<Gamma>1000</Gamma>\n" +
                            "\t\t<Brightness>1000</Brightness>\n" +
                            "\t\t<Contrast>1000</Contrast>\n" +
                            "\t\t<Highlite>179</Highlite>\n" +
                            "\t\t<Shadow>25</Shadow>\n" +
                            "\t\t<Threshold>0</Threshold>\n" +
                            "\t</ToneMap>\n" +
                            "\t<SharpeningLevel>128</SharpeningLevel>\n" +
                            "\t<NoiseRemoval>0</NoiseRemoval>\n" +
                            "\t<ContentType>Document</ContentType>\n" +
                            "</ScanSettings>";
                        return [4 /*yield*/, util.promisify(parser.parseString)(rawJob)];
                    case 1:
                        parsed = _a.sent();
                        parsed.ScanSettings.InputSource[0] = this.inputSource;
                        parsed.ScanSettings.ContentType[0] = this.contentType;
                        builder = new xml2js.Builder({
                            xmldec: { version: "1.0", encoding: "UTF-8", standalone: false },
                            renderOpts: { pretty: true, indent: "\t", newline: "\n" },
                        });
                        return [2 /*return*/, builder.buildObject(parsed)];
                }
            });
        });
    };
    return ScanJobSettings;
}());
exports.default = ScanJobSettings;
//# sourceMappingURL=ScanJobSettings.js.map