"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScanStatus = /** @class */ (function () {
    function ScanStatus(data) {
        this.data = data;
    }
    Object.defineProperty(ScanStatus.prototype, "scannerState", {
        get: function () {
            return this.data["ScanStatus"].ScannerState["0"];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScanStatus.prototype, "adfState", {
        get: function () {
            if (this.data["ScanStatus"].hasOwnProperty("AdfState")) {
                //not all printers have an automatic document feeder
                return this.data["ScanStatus"].AdfState["0"];
            }
            else {
                return "";
            }
        },
        enumerable: false,
        configurable: true
    });
    ScanStatus.prototype.isLoaded = function () {
        return this.adfState === "Loaded";
    };
    ScanStatus.prototype.getInputSource = function () {
        return this.isLoaded() ? "Adf" : "Platen";
    };
    return ScanStatus;
}());
exports.default = ScanStatus;
//# sourceMappingURL=ScanStatus.js.map